aboutsummaryrefslogtreecommitdiffstats
path: root/main/libxcb
diff options
context:
space:
mode:
Diffstat (limited to 'main/libxcb')
-rw-r--r--main/libxcb/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/main/libxcb/APKBUILD b/main/libxcb/APKBUILD
new file mode 100644
index 0000000000..a1b30a3519
--- /dev/null
+++ b/main/libxcb/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxcb
+pkgver=1.5
+pkgrel=0
+pkgdesc="X11 client-side library"
+url="http://xcb.freedesktop.org/"
+license="custom"
+depends="xcb-proto>=1.6"
+subpackages="$pkgname-dev $pkgname-doc"
+makedepends="libxdmcp-dev libxau-dev libxslt libpthread-stubs pkgconfig python"
+source="http://xcb.freedesktop.org/dist/$pkgname-$pkgver.tar.bz2
+ "
+depends_dev="libpthread-stubs libxau-dev libxdmcp-dev"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --enable-xinput || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="d19c0ba6ba42ebccd3d62d8bb147b551 libxcb-1.5.tar.bz2"